RubyGems Navigation menu

database_validations 0.5.0

ActiveRecord provides validations on app level but it won't guarantee the consistent. In some cases, like `validates_uniqueness_of` it executes additional SQL query to the database and that is not very efficient. The main goal of the gem is to provide compatibility between database constraints and ActiveRecord validations with better performance and consistency.

Versions:

  1. 0.8.10 - February 21, 2019 (11 KB)
  2. 0.8.9 - February 13, 2019 (11 KB)
  3. 0.8.6 - February 11, 2019 (11 KB)
  4. 0.8.5 - February 06, 2019 (11 KB)
  5. 0.8.4 - February 06, 2019 (10.5 KB)
  6. 0.5.0 - September 24, 2018 (11 KB)
Show all versions (28 total)

Runtime Dependencies (1):

Owners:

Authors:

  • Evgeniy Demin

SHA 256 checksum:

1e4bd0d127a5f1ae9740c08c866af6d05ed46dc18353b7a23d28cd1f3e66b6bc

Total downloads 63,661

For this version 289

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 0

Links: